@extends('layouts.user-no-nav')
@section('page_title', __('Add Gallary Image'))

{{-- @section('styles')
    {!!
        Minify::stylesheet([
            '/css/posts/post.css',
            '/libs/dropzone/dist/dropzone.css',
         ])->withFullUrl()
    !!}
@stop

@section('scripts')
    {!!
        Minify::javascript([
            '/js/Post.js',
            '/js/posts/create-helper.js',
            (Route::currentRouteName() =='posts.create' ? '/js/posts/create.js' : '/js/posts/edit.js'),
            '/libs/dropzone/dist/dropzone.js',
            '/js/FileUpload.js',
         ])->withFullUrl()
    !!}
@stop --}}

@section('content')
    {{-- @include('elements.uploaded-file-preview-template')
    @include('elements.post-price-setup',['postPrice'=>(isset($post) ? $post->price : 0)])
    @include('elements.post-save-confirmation') --}}
    <div class="pl-3 pr-3">
        <div class="d-flex justify-content-between pt-4">
            <h3 class="text-primary text-gradient">{{Route::currentRouteName() == 'gallary.create' ? __('Add Gallery Image') : __('Edit post')}}</h3>
        </div>
        @if(!GenericHelper::isUserVerified() && getSetting('site.enforce_user_identity_checks'))
            <div class="alert alert-warning text-white font-weight-bold mt-2 mb-0" role="alert">
                {{__("Before being able to publish an item, you need to complete your")}} <a class="text-white" href="{{route('my.settings',['type'=>'verify'])}}">{{__("profile verification")}}</a>.
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
        @endif
        @if(session()->has('success'))
            <div class="alert alert-success">
                {{ session()->get('success') }}
            </div>
        @endif
        <div class="d-flex flex-column-reverse">
            <div class="w-100">
                    <form action="{{ route('gallary.save') }}" method="POST" enctype="multipart/form-data">
                        @csrf
                        <input type="file" name="image" required>
                        <input type="hidden" name="user_id" value="{{ Auth::user()->id }}">
                        @if(!GenericHelper::isUserVerified() && getSetting('site.enforce_user_identity_checks'))
                            <button class="btn btn-outline-primary disabled mb-0">{{__('Save')}}</button>
                        @else
                            <button class="btn btn-outline-primary post-create-button mb-0">{{__('Save')}}</button>
                        @endif
                    </form>
            </div>
            <div class="dropzone-previews dropzone w-100 ppl-0 pr-0 pt-1 pb-1"></div>
        </div>
    </div>
@stop
