@extends('layouts.generic')

@section('scripts')
    <script type="application/ld+json">
  {
    "@context": "http://schema.org",
    "@type": "Organization",
    "name": "Illustation.io",
    "url": "https://illustation.io",
    "address": "",
    "sameAs": [
      "https://www.facebook.com/illustation.io",
      "https://twitter.com/illustation_io"
    ]
  }
</script>
@stop

@section('styles')
    {!!
        Minify::stylesheet([
            '/css/pages/home.css',
         ])->withFullUrl()
    !!}
@stop

@section('content')
    <div class="home-header min-vh-75 relative pt-2" >
        <div class="container h-100">
            <div class="row d-flex flex-row align-items-center h-100">
                <div class="col-12 col-md-6">
                    <h1 class="font-weight-bold text-gradient bg-gradient-primary">{{__('Give Them The Content')}}</h1>
                    <h1 class="font-weight-bold text-gradient bg-gradient-primary">{{__('You Know They Really Want!')}}</h1>
                    <!-- <p class="font-weight-bold mt-3">🚀 {{__("Start your own premium creators platform with our ready to go solution.")}}</p> -->
                    <p class="font-weight-bold mt-3">{{__("SnowBunni.com is the no frills social platform getting straight to the core of bunny and fan connections. The site allows a specific category of artists and content creators who specialize in delivering a certain type of sought after content to their eager fans! Our platform allows creators to monetize their content and maximize their profit while developing authentic relationships with their fanbase.")}}</p>
                    <div class="mt-4">
                        <a href="{{route('login')}}" class="btn bg-gradient-primary  btn-round mb-0 me-1 mt-2 mt-md-0 ">{{__('Try for free')}}</a>
                        <a href="{{route('feed')}}" class="btn btn-link  btn-round mb-0 me-1 mt-2 mt-md-0 ">
                            @include('elements.icon',['icon'=>'search-outline','centered'=>false])
                            {{__('Explore')}}</a>
                    </div>
                </div>
                <div class="col-12 col-md-6 d-none d-md-block p-5">
                    <img src="{{asset('/img/home-header.png')}}" />
                </div>
            </div>
        </div>
    </div>
    @if(count($starMembers))
    <div class="mt-5 pb-3 pt-5">
    <div class="container">
            <div class="text-center mb-4">
                <h2 class="font-weight-bold">{{__("Stars of the Week")}}</h2>
                <p>{{__("Here's a list of curated content creators starring Bunni for the week's featured spot!")}}</p>
            </div>

            <div class="creators-wrapper">
                <div class="row px-3">
                    
                        @foreach($starMembers as $member)
                            <div class="col-12 col-md-4 p-1">
                                <div class="p-2">
                                    @include('elements.vertical-member-card',['profile' => $member])
                                </div>
                            </div>
                        @endforeach
                    
                </div>
            </div>
        </div>
    </div>
    @endif

    <div class="my-5 py-5 home-bg-section">
        <div class="container my-5">
            <div class="row">
                <div class="col-12 col-md-4 mb-5 mb-md-0">
                    <div class="d-flex justify-content-center">
                        <img src="{{asset('/img/home-scene-1.png')}}" class="img-fluid home-box-img">
                    </div>
                    <div class="d-flex justify-content-center mt-4">
                        <div class="col-12 col-md-10 text-center">
                            <h5 class="text-bold">{{__('Sign Up and Start Posting!')}}</h5>
                            <span>{{__('Get started today! Create your profile and make your first post! Enjoy high quality content, made by you for the ones that like you!')}} </span>
                        </div>
                    </div>
                </div>
                <div class="col-12 col-md-4 mb-5 mb-md-0">
                    <div class="d-flex justify-content-center">
                        <img src="{{asset('/img/home-scene-2.png')}}" class="img-fluid home-box-img">
                    </div>
                    <div class="d-flex justify-content-center mt-4">
                        <div class="col-12 col-md-10 text-center">
                            <h5 class="text-bold">{{__('Bring a Friend and Earn More!')}}</h5>
                            <span>{{__("There's nothing better than a pair! Invite another bunny into your content and get more attention and praise! Premium content equals premium pricing!")}}</span>
                        </div>
                    </div>
                </div>
                <div class="col-12 col-md-4 mb-5 mb-md-0">
                    <div class="d-flex justify-content-center">
                        <img src="{{asset('/img/home-scene-3.png')}}" class="img-fluid home-box-img">
                    </div>
                    <div class="d-flex justify-content-center mt-4">
                        <div class="col-12 col-md-10 text-center">
                            <h5 class="text-bold">{{__('Have Fun! Make it a Party!')}}</h5>
                            <span>{{__("Enjoy private conversations and get tipped for your content. You have full control! Allow fans to pay to unlock special posts!")}}</span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <div class="mt-5 pb-3 pt-5">
        <div class="container">
            <div class="row">
                <div class="col-12 col-md-6 d-none d-md-flex justify-content-center">
                    <img src="{{asset('/img/home-creators.png')}}">
                </div>
                <div class="col-12 col-md-6">
                    <div class="w-100 h-100 d-flex justify-content-center align-items-center">
                        <div class="pl-4 pl-md-5">
                            <h2 class="font-weight-bold m-0" style="font-size: 29px;">{{__('You Know What Kind Of Attention You Like,')}}</h2>
                            <h2 class="font-weight-bold m-0" style="font-size: 29px;">{{__('And Who You Like It From!')}}</h2>
                            <div class="my-4 col-9 px-0">
                                <p>{{__("Its all in the name, while we don't limit the type of content creators by ethnicity or culture we do aim to focus on providing a curated experience for those looking for a particular type of fun. If you consider yourself a cute snow bunny who likes attention/gifts/praise from black wolves then this is the platform to prosper.")}}</p>
                            </div>
                            <div>
                                <a href="{{Auth::check() ? route('my.settings',['type'=>'verify']) : route('login') }}" class="btn bg-gradient-primary  btn-round mb-0 me-1 mt-2 mt-md-0 p-3">{{__('Become a creator')}}</a>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <div class="mt-5 pb-3 pt-5 home-bg-section">
        <div class="container">
            <div class="text-center mb-5">
                <h2 class="font-weight-bold">{{__('Main features')}}</h2>
                <p>{{__("Here's a glimpse at the main features our script offers")}}</p>
            </div>
            <div class="row">
                <div class="col-12 col-md-4 mb-5 btn-grow px-4 py-3 rounded my-2 w-100">
                    <div class="flex-row-reverse">
                        @include('elements.icon',['icon'=>'phone-portrait-outline','variant'=>'large','centered'=>false,'classes'=>''])
                    </div>
                    <h5 class="text-bold">{{__("Full Privacy Control")}}</h5>
                    <p class="mb-0">{{__("Set your profile to be hidden from unregistered users as well as search and suggestions.")}}</p>
                </div>

                <div class="col-12 col-md-4 mb-5 btn-grow px-4 py-3 rounded my-2 w-100">
                    <div class="flex-row-reverse">
                        @include('elements.icon',['icon'=>'cog-outline','variant'=>'large','centered'=>false,'classes'=>''])
                    </div>
                    <h5 class="text-bold">{{__("Pricing Control")}}</h5>
                    <p class="mb-0">{{__("Set your pricing as you see fit, offer discount bundles on 6 and 12 month subscriptions.")}}</p>
                </div>

                <div class="col-12 col-md-4 mb-5 btn-grow px-4 py-3 rounded my-2 w-100">
                    <div class="flex-row-reverse">
                        @include('elements.icon',['icon'=>'people-outline','variant'=>'large','centered'=>false,'classes'=>''])
                    </div>
                    <h5 class="text-bold">{{__("Toggle Notifications")}}</h5>
                    <p class="mb-0">{{__("Choose to get notified every time you get a new sub, message, tip, comment, and more.")}}</p>
                </div>

                <div class="col-12 col-md-4 mb-5 btn-grow px-4 py-3 rounded my-2 w-100">
                    <div class="flex-row-reverse">
                        @include('elements.icon',['icon'=>'list-outline','variant'=>'large','centered'=>false,'classes'=>''])
                    </div>
                    <h5 class="text-bold">{{__("Verified Profiles")}}</h5>
                    <p class="mb-0">{{__("Complete the verification process and ensure your subs that you are who you say you are.")}}</p>
                </div>


                <div class="col-12 col-md-4 mb-5 btn-grow text-left px-4 py-3 rounded my-2 w-100">
                    <div class="flex-row">
                        @include('elements.icon',['icon'=>'moon-outline','variant'=>'large','centered'=>false,'classes'=>''])
                    </div>
                    <h5 class="text-bold">{{__("Premium Posts")}}</h5>
                    <p class="mb-0">{{__("On top of your normal subscriptions you can offer individual pay to unlock premium posts for extra exciting content!")}}</p>
                </div>

                <div class="col-12 col-md-4 mb-5 btn-grow text-left px-4 py-3 rounded my-2 w-100">
                    <div class="flex-row">
                        @include('elements.icon',['icon'=>'language-outline','variant'=>'large','centered'=>false,'classes'=>''])
                    </div>
                    <h5 class="text-bold">{{__("Easy Profile Management")}}</h5>
                    <p class="mb-0">{{__("Its very easy to manage your subs, content, profile, and withdrawals. Anyone can do it!")}}</p>
                </div>

                <div class="col-12 col-md-4 mb-5 btn-grow text-left px-4 py-3 rounded my-2 w-100">
                    <div class="flex-row">
                        @include('elements.icon',['icon'=>'chatbubbles-outline','variant'=>'large','centered'=>false,'classes'=>''])
                    </div>
                    <h5 class="text-bold">{{__("Low Withdrawal Minimums")}}</h5>
                    <p class="mb-0">{{__("Get access to your cash fast! Request withdrawal after your first $10!")}}</p>
                </div>

                <div class="col-12 col-md-4 mb-5 btn-grow text-left px-4 py-3 rounded my-2 w-100">
                    <div class="flex-row">
                        @include('elements.icon',['icon'=>'bookmarks-outline','variant'=>'large','centered'=>false,'classes'=>''])
                    </div>
                    <h5 class="text-bold">{{__("Post Bookmarks & User lists")}}</h5>
                    <p class="mb-0">{{__("Stay updated with list users and bookmarks.")}}</p>
                </div>

                <div class="col-12 col-md-4 mb-5 btn-grow text-left px-4 py-3 rounded my-2 w-100">
                    <div class="flex-row">
                        @include('elements.icon',['icon'=>'flag-outline','variant'=>'large','centered'=>false,'classes'=>''])
                    </div>
                    <h5 class="text-bold">{{__("Content Flagging and User Reports")}}</h5>
                    <p class="mb-0">{{__("Stay safe with user and content reporting. We don't stand for any type of abuse or harassment.")}}</p>
                </div>

            </div>
        </div>
    </div>

    <div class="my-5 py-2">
        <div class="container">
            <div class="text-center mb-5">
                <h2 class="font-weight-bold">{{__("Technologies used")}}</h2>
                <p>{{__("Built on secure, scalable and reliable techs")}}</p>
            </div>
            <div class="d-flex align-items-center justify-content-center">
                <div class="text-center">
                    <span class="grayscale ml-2 ml-md-0 logo-pano ml-4 ml-md-0 mr-5 mb-4 mb-md-0 laravel d-inline-block">
                        <img src="{{asset('/img/logos/laravel.svg')}}" />
                    </span>
                    <span class="grayscale ml-2 ml-md-0 logo-pano mr-5 mb-4 mb-md-0 bootstrap  d-inline-block">
                        <img src="{{asset('/img/logos/bootstrap.svg')}}" />
                    </span>
                    <span class="grayscale ml-2 ml-md-0 logo-square mr-5 mb-4 mb-md-0 jquery d-inline-block">
                        <img src="{{asset('/img/logos/jquery.svg')}}" />
                    </span>

                    <span class="grayscale ml-2 ml-md-0 mr-5 mb-4 mb-md-0 logo-square aws d-inline-block">
                        <img src="{{asset('/img/logos/aws.svg')}}" />
                    </span>

                    <span class="grayscale ml-4 ml-md-0  logo-pano mr-5 mb-4 mb-md-0 pusher d-inline-block">
                        <img src="{{asset('/img/logos/pusher.svg')}}" />
                    </span>


                    <span class="grayscale ml-2 ml-md-0 logo-square mr-5 mb-4 mb-md-0 stripe d-inline-block">
                        <img src="{{asset('/img/logos/stripe.svg')}}" />
                    </span>

                    <span class="grayscale ml-2 ml-md-0 mr-md-0 mr-5 logo-square mr-5 mb-4 mb-md-0 paypal d-inline-block">
                        <img src="{{asset('/img/logos/paypal.svg')}}" />
                    </span>
                </div>
            </div>
        </div>
    </div>

    <div class="my-5 py-5 home-bg-section">
        <div class="container">
            <div class="text-center mb-4">
                <h2 class="font-weight-bold">{{__("Fresh Bunni's")}}</h2>
                <p>{{__("Here's list of currated content creators to start exploring now!")}}</p>
            </div>

            <div class="creators-wrapper">
                <div class="row px-3">
                    @if(count($featuredMembers))
                        @foreach($featuredMembers as $member)
                            <div class="col-12 col-md-4 p-1">
                                <div class="p-2">
                                    @include('elements.vertical-member-card',['profile' => $member])
                                </div>
                            </div>
                        @endforeach
                    @endif
                </div>
            </div>
        </div>
    </div>

    <div class="py-4 my-4 white-section ">
        <div class="container">
            <div class="text-center">
                <h3 class="font-weight-bold">{{__("Got questions?")}}</h3>
                <p>{{__("Don't hesitate to send us a message at")}} - <a href="{{route('contact')}}">{{__("Contact")}}</a> </p>
            </div>
        </div>
    </div>
@stop
