<?php $__env->startSection('page_title', __('Contact us')); ?>

<?php $__env->startSection('styles'); ?>
  <script src="https://www.google.com/recaptcha/api.js" async defer></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="container py-5 my-5">

        <div class="col-12 col-md-8 offset-md-2 mt-5">


            <div class="d-flex justify-content-center">
                <div class="col-12 col-md-7 content-md pr-5">
                    <form class="well" role="form" method="post" action="<?php echo e(route('contact.send')); ?>">
                        <div class="col">
                            <h3 class="h1s text-bold"><?php echo e(__("Contact us")); ?></h3>
                            <p class="mb-4"><?php echo e(__("Don't hesitate to contact us for any matter. We will get back to you asap.")); ?></p>

                            <?php echo csrf_field(); ?>
                            <?php if(session('success')): ?>
                                <div class="alert alert-success text-white font-weight-bold mt-2" role="alert">
                                    <?php echo e(session('success')); ?>

                                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                            <?php endif; ?>

                            <?php if(session('error')): ?>
                                <div class="alert alert-danger text-white font-weight-bold mt-2" role="alert">
                                    <?php echo e(session('error')); ?>

                                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                            <?php endif; ?>

                            <div class="form-group">
                                <input type="email" class="form-control title-form <?php echo e($errors->has('email') ? 'is-invalid' : ''); ?>" name="email" placeholder="<?php echo e(__("Email address")); ?>" autocomplete="email">
                                <?php if($errors->has('email')): ?>
                                    <span class="invalid-feedback" role="alert">
                                        <strong><?php echo e($errors->first('email')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>

                            <div class="form-group">
                                <input type="text" class="form-control title-form <?php echo e($errors->has('subject') ? 'is-invalid' : ''); ?>" name="subject" placeholder="<?php echo e(__("Subject")); ?>">
                                <?php if($errors->has('subject')): ?>
                                    <span class="invalid-feedback" role="alert">
                                        <strong><?php echo e($errors->first('subject')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>

                            <div class="form-group">
                                <textarea class="form-control <?php echo e($errors->has('message') ? 'is-invalid' : ''); ?>" name="message" placeholder="<?php echo e(__("Message")); ?>" rows="4"></textarea>
                                <?php if($errors->has('message')): ?>
                                    <span class="invalid-feedback" role="alert">
                                        <strong><?php echo e($errors->first('message')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>

                            <div class="form-group">
                                <div class="g-recaptcha" data-sitekey="6Lc2vS0eAAAAAJRk98RIk7s3DAt4d33IBsARBzCV" data-callback="recaptchDataCallback" data-expored-callback="recaptchExpireCallback"></div>
                                <input type="hidden" class="<?php echo e($errors->has('grecaptcha') ? 'is-invalid' : ''); ?>" name="grecaptcha" id="hiddenRecaptcha" >
                                <?php if($errors->has('grecaptcha')): ?>
                                    <span class="invalid-feedback" role="alert">
                                        <strong><?php echo e($errors->first('grecaptcha')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>

                            <div class="form-group">
                                <button class="btn btn-primary " type="submit"><?php echo e(__("Submit")); ?></button>
                            </div>

                        </div>
                        <div class="clearfix"></div>
                    </form>
                </div>

                <div class="col-12 col-md-6 d-none d-md-flex justify-content-center align-items-center">
                    <img src="<?php echo e(asset("/img/contact-page.png")); ?>" class="img-fluid ">
                </div>


            </div>
        </div>

    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.generic', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/adminsnow/public_html/resources/views/pages/contact.blade.php ENDPATH**/ ?>