<div class="py-2 notification-box">
    <div class="d-flex flex-row my-1">
        <?php if($notification->fromUser): ?>
        <div class="">
            <img class="rounded-circle" src="<?php echo e($notification->fromUser->avatar); ?>" alt="<?php echo e($notification->fromUser->username); ?>">
        </div>
        <?php endif; ?>
        <div class="pl-3 w-100">
            <div class="d-flex flex-row justify-content-between">
                <?php if($notification->fromUser): ?>
                <div class="d-flex">
                    <h6 class="text-bold  m-0 p-0"><a href="<?php echo e(route('profile',['username'=>$notification->fromUser->username])); ?>" class="text-dark-r"><?php echo e($notification->fromUser->name); ?></a></h6>
                    <div class="text-bold"><a href="<?php echo e(route('profile',['username'=>$notification->fromUser->username])); ?>" class="ml-1 text-muted"><?php echo e($notification->fromUser->username); ?></a></div>
                </div>
                <?php endif; ?>
                <div class="position-absolute separator">
                </div>
            </div>
            <div>
                <div class="my-1">
                    <?php switch($notification->type):
                        case (\App\Model\Notification::NEW_TIP): ?>
                        <?php echo e($notification->transaction->sender->name); ?> <?php echo e(__("sent you a tip of")); ?> <?php echo e($notification->transaction->amount); ?>  <?php echo e($notification->transaction->currency); ?>.
                        <?php break; ?>
                        <?php case (\App\Model\Notification::NEW_REACTION): ?>
                        <?php if($notification->post_id): ?>
                            <?php echo e(__(":name liked your post",['name'=>$notification->post->user->name])); ?>

                        <?php endif; ?>
                        <?php if($notification->post_comment_id): ?>
                            <?php echo e(__(":name liked your comment",['name'=>$notification->postComment->author->name])); ?>

                        <?php endif; ?>
                        <?php break; ?>
                        <?php case (\App\Model\Notification::NEW_COMMENT): ?>
                        <?php echo e(__(':name added a new comment on your post',['name'=>$notification->fromUser->name])); ?>

                        <?php break; ?>
                        <?php case (\App\Model\Notification::NEW_SUBSCRIPTION): ?>
                        <?php echo e(__("A new user subscribed to your profile")); ?>

                        <?php break; ?>
                        <?php case (\App\Model\Notification::WITHDRAWAL_ACTION): ?>
                        <?php echo e(__("Withdrawal processed",[
                                            'currencySymbol' => \App\Providers\SettingsServiceProvider::getWebsiteCurrencySymbol(),
                                            'amount' => $notification->withdrawal->amount,
                                            'status' =>  $notification->withdrawal->status,
                                        ])); ?>

                        <?php break; ?>
                        <?php case (\App\Model\Notification::NEW_MESSAGE): ?>
                        <?php echo e(__("Send you a message: `:message`",['message'=>$notification->userMessage->message])); ?>

                        <?php break; ?>
                    <?php endswitch; ?>

                </div>
                <div class="d-flex text-muted">
                    <div><?php echo e(\Carbon\Carbon::parse($notification->created_at)->diffForhumans(Carbon\Carbon::now())); ?> </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php /**PATH /home3/cjayrc/snowbunni.com/resources/views/elements/notifications/notification-box.blade.php ENDPATH**/ ?>