<?php if(session('success')): ?>
    <div class="alert alert-success text-white font-weight-bold mt-2" role="alert">
        <?php echo e(session('success')); ?>

        <button type="button" class="close" data-dismiss="alert" aria-label="<?php echo e(__('Close')); ?>">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
<?php endif; ?>

<form method="POST" action="<?php echo e(route('my.settings.rates.save')); ?>">
    <?php echo csrf_field(); ?>
    <div class="form-group">
        <label for="name"><?php echo e(__('Your profile subscription price')); ?></label>
        <input class="form-control <?php echo e($errors->has('profile_access_price') ? 'is-invalid' : ''); ?>" id="profile_access_price" name="profile_access_price" aria-describedby="emailHelp" value="<?php echo e(Auth::user()->profile_access_price); ?>">
        <?php if($errors->has('profile_access_price')): ?>
            <span class="invalid-feedback" role="alert">
                <strong><?php echo e(__($errors->first('profile_access_price'))); ?></strong>
            </span>
        <?php endif; ?>
    </div>
    <div class="form-group">
        <label for="name"><?php echo e(__('6 months subscription price')); ?></label>
        <input class="form-control <?php echo e($errors->has('profile_access_price_6_months') ? 'is-invalid' : ''); ?>" id="profile_access_price" name="profile_access_price_6_months" aria-describedby="emailHelp" value="<?php echo e(Auth::user()->profile_access_price_6_months); ?>">
        <?php if($errors->has('profile_access_price_6_months')): ?>
            <span class="invalid-feedback" role="alert">
                    <strong><?php echo e(__($errors->first('profile_access_price_6_months'))); ?></strong>
                </span>
        <?php endif; ?>
    </div>
    <div class="form-group">
        <label for="name"><?php echo e(__('12 months subscription price')); ?></label>
        <input class="form-control <?php echo e($errors->has('profile_access_price_12_months') ? 'is-invalid' : ''); ?>" id="profile_access_price_12_months" name="profile_access_price_12_months" aria-describedby="emailHelp" value="<?php echo e(Auth::user()->profile_access_price_12_months); ?>">
        <?php if($errors->has('profile_access_price_12_months')): ?>
            <span class="invalid-feedback" role="alert">
                    <strong><?php echo e(__($errors->first('profile_access_price_12_months'))); ?></strong>
                </span>
        <?php endif; ?>
    </div>
    <div class="form-group">
        <label for="name"><?php echo e(__('Is offer until')); ?></label>
        <div class="input-group-prepend">
            <div class="input-group-prepend">
                <div class="input-group-text">
                    <input type="checkbox" aria-label="Checkbox for following text input" name="is_offer" id="is_offer" <?php echo e(Auth::user()->offer ? 'checked' : ''); ?>>
                </div>
            </div>
            <input type="date" class="form-control <?php echo e($errors->has('profile_access_offer_date') ? 'is-invalid' : ''); ?>" id="profile_access_offer_date" name="profile_access_offer_date" aria-describedby="emailHelp" value="<?php echo e(Auth::user()->offer ? Auth::user()->offer->expires_at->format('Y-m-d') : ''); ?>">
        </div>
        <?php if($errors->has('profile_access_offer_date')): ?>
            <span class="invalid-feedback" role="alert">
                    <strong><?php echo e(__($errors->first('profile_access_offer_date'))); ?></strong>
            </span>
        <?php endif; ?>
    </div>
    <button class="btn btn-primary btn-block rounded mr-0" type="submit"><?php echo e(__('Save')); ?></button>
</form>


<?php /**PATH /home3/cjayrc/snowbunni.com/resources/views/elements/settings/settings-rates.blade.php ENDPATH**/ ?>