<?php $__env->startSection('page_title', __('voyager::generic.viewing').' '.__('voyager::generic.settings')); ?>

<?php $__env->startSection('css'); ?>
    <link href="<?php echo e(asset('css/admin-settings.css')); ?>" rel="stylesheet">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('page_header'); ?>
    <h1 class="page-title">
        <i class="voyager-settings"></i> <?php echo e(__('voyager::generic.settings')); ?>

    </h1>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="container-fluid">
        <?php echo $__env->make('voyager::alerts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <?php if(config('voyager.show_dev_tips')): ?>
        <div class="alert alert-info">
            <strong><?php echo e(__('voyager::generic.how_to_use')); ?>:</strong>
            <p><?php echo e(__('voyager::settings.usage_help')); ?> <code>getSetting('group.key')</code></p>
        </div>
        <?php endif; ?>
    </div>

    <div class="page-content settings container-fluid">
        <form action="<?php echo e(route('voyager.settings.update')); ?>" method="POST" enctype="multipart/form-data">
            <?php echo e(method_field("PUT")); ?>

            <?php echo e(csrf_field()); ?>

            <input type="hidden" name="setting_tab" class="setting_tab" value="<?php echo e($active); ?>" />
            <div class="panel">

                <div class="page-content settings container-fluid">
                    <ul class="nav nav-tabs">
                        <?php $__currentLoopData = $settings; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $group => $setting): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li <?php if($group == $active): ?> class="active" <?php endif; ?>>
                                <a data-toggle="tab" href="#<?php echo e(\Illuminate\Support\Str::slug($group)); ?>"><?php echo e($group); ?></a>
                            </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>

                    <div class="tab-content">

                        
                        <div class="tab-additional-info">
                            <div class="alert alert-info">
                                <div class="info-label"> <div class="icon voyager-info-circled"></div> In order to be able to receive payment updates from the settings providers, please use these webhooks endpoints:</div>
                                <ul>
                                    <li><code><?php echo e(route('paypal.payment.update')); ?></code></li>
                                    <li><code><?php echo e(route('stripe.payment.update')); ?></code></li>
                                </ul>
                            </div>
                        </div>

                        <?php $__currentLoopData = $settings; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $group => $group_settings): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div id="<?php echo e(\Illuminate\Support\Str::slug($group)); ?>" class="tab-pane fade in <?php if($group == $active): ?> active <?php endif; ?>">
                            <?php $__currentLoopData = $group_settings; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $setting): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="panel-heading setting-row setting-<?php echo e($setting->key); ?>" data-settingkey=<?php echo e($setting->key); ?>>
                                <h3 class="panel-title">
                                    <?php echo e($setting->display_name); ?> <?php if(config('voyager.show_dev_tips')): ?><code>getSetting('<?php echo e($setting->key); ?>')</code><?php endif; ?>
                                </h3>
                                <?php if((env('APP_ENV') != 'production' && env('APP_DEBUG') == true)): ?>
                                    <div class="panel-actions">
                                        <a href="<?php echo e(route('voyager.settings.move_up', $setting->id)); ?>">
                                            <i class="sort-icons voyager-sort-asc"></i>
                                        </a>
                                        <a href="<?php echo e(route('voyager.settings.move_down', $setting->id)); ?>">
                                            <i class="sort-icons voyager-sort-desc"></i>
                                        </a>
                                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('delete', Voyager::model('Setting'))): ?>
                                        <i class="voyager-trash"
                                           data-id="<?php echo e($setting->id); ?>"
                                           data-display-key="<?php echo e($setting->key); ?>"
                                           data-display-name="<?php echo e($setting->display_name); ?>"></i>
                                        <?php endif; ?>
                                    </div>
                                <?php endif; ?>
                            </div>

                            <div class="panel-body no-padding-left-right setting-row setting-<?php echo e($setting->key); ?>" data-settingkey=<?php echo e($setting->key); ?>>
                                <div class="<?php echo e((env('APP_ENV') != 'production' && env('APP_DEBUG') == true) ? 'col-md-10' : 'col-md-12'); ?> no-padding-left-right">
                                    <?php if($setting->type == "text"): ?>
                                        <input type="text" class="form-control" name="<?php echo e($setting->key); ?>" value="<?php echo e($setting->value); ?>">
                                    <?php elseif($setting->type == "text_area"): ?>
                                        <textarea class="form-control" name="<?php echo e($setting->key); ?>"><?php echo e($setting->value ?? ''); ?></textarea>
                                    <?php elseif($setting->type == "rich_text_box"): ?>
                                        <textarea class="form-control richTextBox" name="<?php echo e($setting->key); ?>"><?php echo e($setting->value ?? ''); ?></textarea>
                                    <?php elseif($setting->type == "code_editor"): ?>
                                        <?php $options = json_decode($setting->details); ?>
                                        <div id="<?php echo e($setting->key); ?>" data-theme="<?php echo e(@$options->theme); ?>" data-language="<?php echo e(@$options->language); ?>" class="ace_editor min_height_400" name="<?php echo e($setting->key); ?>"><?php echo e($setting->value ?? ''); ?></div>
                                        <textarea name="<?php echo e($setting->key); ?>" id="<?php echo e($setting->key); ?>_textarea" class="hidden"><?php echo e($setting->value ?? ''); ?></textarea>
                                    <?php elseif($setting->type == "image" || $setting->type == "file"): ?>
                                        <?php if(isset( $setting->value ) && !empty( $setting->value ) && Storage::disk(config('voyager.storage.disk'))->exists($setting->value)): ?>
                                            <div class="img_settings_container">
                                                <a href="<?php echo e(route('voyager.settings.delete_value', $setting->id)); ?>" class="voyager-x delete_value"></a>
                                                <img src="<?php echo e(Storage::disk(config('voyager.storage.disk'))->url($setting->value)); ?>" class="setting-value-image">
                                            </div>
                                            <div class="clearfix"></div>
                                        <?php elseif($setting->type == "file" && isset( $setting->value )): ?>
                                            <?php if(json_decode($setting->value) !== null): ?>
                                                <?php $__currentLoopData = json_decode($setting->value); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $file): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                  <div class="fileType">
                                                    <a class="fileType" target="_blank" href="<?php echo e(Storage::disk(config('voyager.storage.disk'))->url($file->download_link)); ?>">
                                                      <?php echo e($file->original_name); ?>

                                                    </a>
                                                    <a href="<?php echo e(route('voyager.settings.delete_value', $setting->id)); ?>" class="voyager-x delete_value"></a>
                                                 </div>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <?php endif; ?>
                                        <?php endif; ?>
                                        <input type="file" name="<?php echo e($setting->key); ?>">
                                    <?php elseif($setting->type == "select_dropdown"): ?>
                                        <?php $options = json_decode($setting->details); ?>
                                        <?php $selected_value = (isset($setting->value) && !empty($setting->value)) ? $setting->value : NULL; ?>
                                        <select class="form-control" name="<?php echo e($setting->key); ?>">
                                            <?php $default = (isset($options->default)) ? $options->default : NULL; ?>
                                            <?php if(isset($options->options)): ?>
                                                <?php $__currentLoopData = $options->options; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($index); ?>" <?php if($default == $index && $selected_value === NULL): ?> selected="selected" <?php endif; ?> <?php if($selected_value == $index): ?> selected="selected" <?php endif; ?>><?php echo e($option); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <?php endif; ?>
                                        </select>

                                    <?php elseif($setting->type == "radio_btn"): ?>
                                        <?php $options = json_decode($setting->details); ?>
                                        <?php $selected_value = (isset($setting->value) && !empty($setting->value)) ? $setting->value : NULL; ?>
                                        <?php $default = (isset($options->default)) ? $options->default : NULL; ?>
                                        <ul class="radio">
                                            <?php if(isset($options->options)): ?>
                                                <?php $__currentLoopData = $options->options; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <li>
                                                        <input type="radio" id="option-<?php echo e($index); ?>" name="<?php echo e($setting->key); ?>"
                                                               value="<?php echo e($index); ?>" <?php if($default == $index && $selected_value === NULL): ?> checked <?php endif; ?> <?php if($selected_value == $index): ?> checked <?php endif; ?>>
                                                        <label for="option-<?php echo e($index); ?>"><?php echo e($option); ?></label>
                                                        <div class="check"></div>
                                                    </li>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <?php endif; ?>
                                        </ul>
                                    <?php elseif($setting->type == "checkbox"): ?>
                                        <?php $options = json_decode($setting->details); ?>
                                        <?php $checked = (isset($setting->value) && $setting->value == 1) ? true : false; ?>
                                        <?php if(isset($options->on) && isset($options->off)): ?>
                                            <input type="checkbox" name="<?php echo e($setting->key); ?>" class="toggleswitch" <?php if($checked): ?> checked <?php endif; ?> data-on="<?php echo e($options->on); ?>" data-off="<?php echo e($options->off); ?>">
                                        <?php else: ?>
                                            <input type="checkbox" name="<?php echo e($setting->key); ?>" <?php if($checked): ?> checked <?php endif; ?> class="toggleswitch">
                                        <?php endif; ?>
                                    <?php endif; ?>
                                </div>
                                <div class="<?php echo e((env('APP_ENV') != 'production' && env('APP_DEBUG') == true) ? 'col-md-2 no-padding-left-right' : 'col-md-2 no-padding-left-right d-none'); ?>">
                                    <select class="form-control group_select" name="<?php echo e($setting->key); ?>_group">
                                        <?php $__currentLoopData = $groups; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $group): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($group); ?>" <?php echo $setting->group == $group ? 'selected' : ''; ?>><?php echo e($group); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>

                            </div>
                                <?php
                                $settingDetails = json_decode($setting->details);
                                $hasDescription = false;
                                if(isset($settingDetails->description)){
                                    $hasDescription = true;
                                }
                                ?>
                                <?php if($hasDescription): ?>
                                    <div class="admin-setting-description">
                                        <code>
                                            <?php echo e($settingDetails->description); ?>

                                        </code>
                                    </div>
                                <?php endif; ?>
                            <?php if(!$loop->last): ?>
                                <hr class="setting-row setting-<?php echo e($setting->key); ?>" data-settingkey=<?php echo e($setting->key); ?>>
                            <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>

            </div>
            <button type="submit" class="btn btn-primary pull-right"><?php echo e(__('voyager::settings.save')); ?></button>
        </form>

        <div class="clearfix"></div>

        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('add', Voyager::model('Setting'))): ?>
            <?php if((env('APP_ENV') != 'production' && env('APP_DEBUG') == true)): ?>
                <div class="panel mt-10">
                    <div class="panel-heading new-setting">
                        <hr>
                        <h3 class="panel-title"><i class="voyager-plus"></i> <?php echo e(__('voyager::settings.new')); ?></h3>
                    </div>
                    <div class="panel-body">
                        <form action="<?php echo e(route('voyager.settings.store')); ?>" method="POST">
                            <?php echo e(csrf_field()); ?>

                            <input type="hidden" name="setting_tab" class="setting_tab" value="<?php echo e($active); ?>" />
                            <div class="col-md-3">
                                <label for="display_name"><?php echo e(__('voyager::generic.name')); ?></label>
                                <input type="text" class="form-control" name="display_name" placeholder="<?php echo e(__('voyager::settings.help_name')); ?>" required="required">
                            </div>
                            <div class="col-md-3">
                                <label for="key"><?php echo e(__('voyager::generic.key')); ?></label>
                                <input type="text" class="form-control" name="key" placeholder="<?php echo e(__('voyager::settings.help_key')); ?>" required="required">
                            </div>
                            <div class="col-md-3">
                                <label for="type"><?php echo e(__('voyager::generic.type')); ?></label>
                                <select name="type" class="form-control" required="required">
                                    <option value=""><?php echo e(__('voyager::generic.choose_type')); ?></option>
                                    <option value="text"><?php echo e(__('voyager::form.type_textbox')); ?></option>
                                    <option value="text_area"><?php echo e(__('voyager::form.type_textarea')); ?></option>
                                    <option value="rich_text_box"><?php echo e(__('voyager::form.type_richtextbox')); ?></option>
                                    <option value="code_editor"><?php echo e(__('voyager::form.type_codeeditor')); ?></option>
                                    <option value="checkbox"><?php echo e(__('voyager::form.type_checkbox')); ?></option>
                                    <option value="radio_btn"><?php echo e(__('voyager::form.type_radiobutton')); ?></option>
                                    <option value="select_dropdown"><?php echo e(__('voyager::form.type_selectdropdown')); ?></option>
                                    <option value="file"><?php echo e(__('voyager::form.type_file')); ?></option>
                                    <option value="image"><?php echo e(__('voyager::form.type_image')); ?></option>
                                </select>
                            </div>
                            <div class="col-md-3">
                                <label for="group"><?php echo e(__('voyager::settings.group')); ?></label>
                                <select class="form-control group_select group_select_new" name="group">
                                    <?php $__currentLoopData = $groups; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $group): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($group); ?>"><?php echo e($group); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                            <div class="col-md-12">
                                <a id="toggle_options"><i class="voyager-double-down"></i> <?php echo e(mb_strtoupper(__('voyager::generic.options'))); ?></a>
                                <div class="new-settings-options">
                                    <label for="options"><?php echo e(__('voyager::generic.options')); ?>

                                        <small><?php echo e(__('voyager::settings.help_option')); ?></small>
                                    </label>
                                    <div id="options_editor" class="form-control min_height_200" data-language="json"></div>
                                    <textarea id="options_textarea" name="details" class="hidden"></textarea>
                                    <div id="valid_options" class="alert-success alert d-none"><?php echo e(__('voyager::json.valid')); ?></div>
                                    <div id="invalid_options" class="alert-danger alert d-none"><?php echo e(__('voyager::json.invalid')); ?></div>
                                </div>
                            </div>
                            <div class="clearfix"></div>
                            <button type="submit" class="btn btn-primary pull-right new-setting-btn">
                                <i class="voyager-plus"></i> <?php echo e(__('voyager::settings.add_new')); ?>

                            </button>
                            <div class="clearfix"></div>
                        </form>
                    </div>
                </div>
            <?php endif; ?>
        <?php endif; ?>
    </div>

    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('delete', Voyager::model('Setting'))): ?>
    <div class="modal modal-danger fade" tabindex="-1" id="delete_modal" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="<?php echo e(__('voyager::generic.close')); ?>">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <h4 class="modal-title">
                        <i class="voyager-trash"></i> <?php echo __('voyager::settings.delete_question', ['setting' => '<span id="delete_setting_title"></span>']); ?>

                    </h4>
                </div>
                <div class="modal-footer">
                    <form action="#" id="delete_form" method="POST">
                        <?php echo e(method_field("DELETE")); ?>

                        <?php echo e(csrf_field()); ?>

                        <input type="submit" class="btn btn-danger pull-right delete-confirm" value="<?php echo e(__('voyager::settings.delete_confirm')); ?>">
                    </form>
                    <button type="button" class="btn btn-default pull-right" data-dismiss="modal"><?php echo e(__('voyager::generic.cancel')); ?></button>
                </div>
            </div>
        </div>
    </div>
    <?php endif; ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('javascript'); ?>
    <script>
        $('document').ready(function () {
            $('#toggle_options').on('click', function () {
                $('.new-settings-options').toggle();
                if ($('#toggle_options .voyager-double-down').length) {
                    $('#toggle_options .voyager-double-down').removeClass('voyager-double-down').addClass('voyager-double-up');
                } else {
                    $('#toggle_options .voyager-double-up').removeClass('voyager-double-up').addClass('voyager-double-down');
                }
            });

            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('delete', Voyager::model('Setting'))): ?>
            $('.panel-actions .voyager-trash').on('click', function () {
                var display = $(this).data('display-name') + '/' + $(this).data('display-key');

                $('#delete_setting_title').text(display);

                $('#delete_form')[0].action = '<?php echo e(route('voyager.settings.delete', [ 'id' => '__id' ])); ?>'.replace('__id', $(this).data('id'));
                $('#delete_modal').modal('show');
            });
            <?php endif; ?>

            $('.toggleswitch').bootstrapToggle();

            $('[data-toggle="tab"]').on('click', function() {
                $(".setting_tab").val($(this).html());
            });

            $('.delete_value').on('click', function(e) {
                e.preventDefault();
                $(this).closest('form').attr('action', $(this).attr('href'));
                $(this).closest('form').submit();
            });

            // Initiliaze rich text editor
            tinymce.init(window.voyagerTinyMCE.getConfig());
        });
    </script>
    <script type="text/javascript">
    $(".group_select").not('.group_select_new').select2({
        tags: true,
        width: 'resolve'
    });
    $(".group_select_new").select2({
        tags: true,
        width: 'resolve',
        placeholder: '<?php echo e(__("voyager::generic.select_group")); ?>'
    });
    $(".group_select_new").val('').trigger('change');
    </script>
    <iframe id="form_target" name="form_target" class="d-none"></iframe>
    <form class="settings-upload" id="my_form" action="<?php echo e(route('voyager.upload')); ?>" target="form_target" method="POST" enctype="multipart/form-data">
        <?php echo e(csrf_field()); ?>

        <input name="image" id="upload_file" type="file" onchange="$('#my_form').submit();this.value='';">
        <input type="hidden" name="type_slug" id="type_slug" value="settings">
    </form>

    <script>
        try{
            var options_editor = ace.edit('options_editor');
            options_editor.getSession().setMode("ace/mode/json");

            var options_textarea = document.getElementById('options_textarea');
            options_editor.getSession().on('change', function() {
                console.log(options_editor.getValue());
                options_textarea.value = options_editor.getValue();
            });
        } catch (e) {
            // eslint-disable-next-line no-console
            console.warn(e);
        }

        var site_settings = {
            'emails.driver': "<?php echo e(getSetting('emails.driver')); ?>",
            'storage.driver': "<?php echo e(getSetting('storage.driver')); ?>",
        }

    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('voyager::master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/snowbunni/public_html/resources/views/vendor/voyager/settings/index.blade.php ENDPATH**/ ?>