<?php $__env->startSection('page_title', $list->name); ?>

<?php $__env->startSection('styles'); ?>
    <?php echo Minify::stylesheet([
            '/css/pages/lists.css'
         ])->withFullUrl(); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <?php echo Minify::javascript([
            '/js/pages/lists.js'
         ])->withFullUrl(); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="min-vh-100 border-right col-12 pr-0">
            <div class=" pt-4 pl-4 d-flex justify-content-between">
                <h3 class="text-primary text-gradient list-name-label"><?php echo e(__($list->name)); ?></h3>
                <?php if($list->isManageable): ?>
                    <div class="mr-2">
                        <div class="dropdown <?php echo e(Cookie::get('app_rtl') == 'rtl' ? 'dropright' : 'dropleft'); ?>">
                            <a class="btn btn-outline-primary btn-sm dropdown-toggle px-3" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">
                                <?php echo $__env->make('elements.icon',['icon'=>'ellipsis-horizontal-outline'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                            </a>
                            <div class="dropdown-menu">
                                <!-- Dropdown menu links -->
                                <a class="dropdown-item" href="javascript:void(0);" onclick="Lists.showListEditDialog('edit')"><?php echo e(__('Rename list')); ?></a>
                                <div class="dropdown-divider"></div>
                                <a class="dropdown-item" href="#" onclick="Lists.showListClearConfirmation()"><?php echo e(__('Clear list')); ?></a>
                                <a class="dropdown-item" href="javascript:void(0);" onclick="Lists.showListDeleteConfirmation()"><?php echo e(__('Delete list')); ?></a>
                            </div>
                        </div>
                    </div>
                <?php endif; ?>
            </div>
            <div class="mx-4">
                <?php if(count($list->members)): ?>
                    <div class="list-wrapper mt-2">
                        <div class="row">
                            <?php $__currentLoopData = $list->members; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $member): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="col-12 col-md-6 col-xl-4">
                                    <?php echo $__env->make('elements.feed.suggestion-card',['profile' => $member->user, 'isListMode' => true], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>

                    </div>
                <?php else: ?>
                    <p><?php echo e(__('No profiles available')); ?></p>
                <?php endif; ?>
            </div>

        </div>
    </div>
    <?php echo $__env->make('elements.lists.list-update-dialog',['mode'=>'edit'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->make('elements.lists.list-delete-dialog', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->make('elements.lists.list-member-delete-dialog', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->make('elements.lists.list-clear-dialog', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.user-no-nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/snowbunni/public_html/resources/views/pages/list.blade.php ENDPATH**/ ?>