

<?php $__env->startSection('page_title', $user->name.'s profile'); ?>

<?php $__env->startSection('scripts'); ?>
    <?php echo Minify::javascript([
            '/js/PostsPaginator.js',
            '/js/CommentsPaginator.js',
            '/js/Post.js',
            '/js/pages/profile.js',
            '/js/pages/lists.js',
            '/js/pages/checkout.js',
            '/libs/swiper/swiper-bundle.min.js',
            '/js/plugins/media/photoswipe.js',
            '/libs/photoswipe/dist/photoswipe-ui-default.min.js',
            '/libs/@joeattardi/emoji-button/dist/index.js',
            '/js/plugins/media/mediaswipe.js',
            '/js/plugins/media/mediaswipe-loader.js',
            '/js/LoginModal.js',
            '/js/pages/messenger.js',
         ])->withFullUrl(); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('styles'); ?>
    <?php echo Minify::stylesheet([
            '/css/pages/profile.css',
            '/css/pages/checkout.css',
            '/css/pages/lists.css',
            '/libs/swiper/swiper-bundle.min.css',
            '/libs/photoswipe/dist/photoswipe.css',
            '/libs/photoswipe/dist/default-skin/default-skin.css',
            '/css/pages/profile.css',
            '/css/pages/lists.css',
            '/css/posts/post.css'
         ])->withFullUrl(); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="min-vh-100 col-12 col-md-8 pr-0 border-right">

                

            <div class="">
                <div class="profile-cover-bg">
                    <img class="card-img-top centered-and-cropped" src="<?php echo e($user->cover); ?>">
                </div>
            </div>

            <div class="container d-flex justify-content-between align-items-center">
                <div class="z-index-3 avatar-holder">
                    <img src="<?php echo e($user->avatar); ?>" class="rounded-circle">
                </div>
                <div>
                    <?php if(!Auth::check() || Auth::user()->id !== $user->id): ?>
                        <div class="d-flex flex-row">
                            <?php if(Auth::check()): ?>
                                <div class="d-none d-sm-block">
                                <span class="p-pill ml-2 pointer-cursor to-tooltip"
                                      data-placement="top"
                                      title="<?php echo e(__('Send a tip')); ?>"
                                      data-toggle="modal"
                                      data-target="#checkout-center"
                                      data-type="tip"
                                      data-first-name="<?php echo e(Auth::user()->first_name); ?>"
                                      data-last-name="<?php echo e(Auth::user()->last_name); ?>"
                                      data-billing-address="<?php echo e(Auth::user()->billing_address); ?>"
                                      data-country="<?php echo e(Auth::user()->country); ?>"
                                      data-city="<?php echo e(Auth::user()->city); ?>"
                                      data-state="<?php echo e(Auth::user()->state); ?>"
                                      data-postcode="<?php echo e(Auth::user()->postcode); ?>"
                                      data-available-credit="<?php echo e(Auth::user()->wallet->total); ?>"
                                      data-username="<?php echo e($user->username); ?>"
                                      data-name="<?php echo e($user->name); ?>"
                                      data-avatar="<?php echo e($user->avatar); ?>"
                                      data-recipient-id="<?php echo e($user->id); ?>">
                                 <?php echo $__env->make('elements.icon',['icon'=>'cash-outline'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                </span>
                                </div>
                                <div class="d-none d-sm-block df-">
                                    <?php if($hasSub): ?>
                                        <span class="p-pill ml-2 pointer-cursor" data-toggle="tooltip" data-placement="top" title="<?php echo e(__('Send a message')); ?>" onclick="messenger.showNewMessageDialog()">
                                            <?php echo $__env->make('elements.icon',['icon'=>'chatbubbles-outline'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                        </span>
                                    <?php else: ?>
                                        <span class="p-pill ml-2 pointer-cursor" data-toggle="tooltip" data-placement="top" title="<?php echo e(__('DMs unavailable without subscription')); ?>">
                                        <?php echo $__env->make('elements.icon',['icon'=>'chatbubbles-outline'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                    </span>
                                    <?php endif; ?>
                                </div>
                                <span class="p-pill ml-2 pointer-cursor" data-toggle="tooltip" data-placement="top" title="<?php echo e(__('Add to your lists')); ?>" onclick="Lists.showListAddModal();">
                                 <?php echo $__env->make('elements.icon',['icon'=>'list-outline'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                            </span>
                            <?php endif; ?>
                            <span class="p-pill ml-2 pointer-cursor" data-toggle="tooltip" data-placement="top" title="<?php echo e(__('Copy profile link')); ?>" onclick="shareOrCopyLink()">
                                 <?php echo $__env->make('elements.icon',['icon'=>'share-social-outline'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                            </span>
                        </div>
                    <?php else: ?>
                        <div class="d-flex flex-row">
                            <div class="mr-2">
                                <a href="<?php echo e(route('my.settings')); ?>" class="p-pill p-pill-text ml-2 pointer-cursor">
                                    <?php echo $__env->make('elements.icon',['icon'=>'settings-outline','classes'=>'mr-1'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                    <span class="d-none d-md-block"><?php echo e(__('Edit profile')); ?></span>
                                    <span class="d-block d-md-none"><?php echo e(__('Edit')); ?></span>
                                </a>
                            </div>
                            <div>
                                <span class="p-pill ml-2 pointer-cursor" data-toggle="tooltip" data-placement="top" title="<?php echo e(__('Copy profile link')); ?>" onclick="shareOrCopyLink()">
                                    <?php echo $__env->make('elements.icon',['icon'=>'share-social-outline'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                </span>
                            </div>
                        </div>
                    <?php endif; ?>
                </div>
            </div>

            <div class="container pt-2 pl-0 pr-0">

                <div class="pt-2 pl-4 pr-4">
                    <h5 class="text-bold"><?php echo e($user->name); ?></h5>
                    <h6 class="text-muted"><span class="text-bold"><span>@</span><?php echo e($user->username); ?></span> </h6>
                </div>

                <div class="pt-2 pb-2 pl-4 pr-4 profile-description-holder">
                    <div class="description-content line-clamp-1">
                        <?php echo e($user->bio ? $user->bio : __('No description available.')); ?>

                    </div>
                    <?php if($user->bio && strlen($user->bio) >= 85): ?>
                        <span class="text-primary pointer-cursor" onclick="Profile.toggleFullDescription()">
                            <span class="label-more"><?php echo e(__('More info')); ?></span>
                            <span class="label-less d-none"><?php echo e(__('Show less')); ?></span>
                        </span>
                    <?php endif; ?>
                </div>

                <div class="d-flex flex-column flex-lg-row pb-2 pl-4 pr-4 mb-3 mt-1">

                    <?php if($user->location): ?>
                        <div class="d-flex align-items-center mr-2 text-truncate mb-0 mb-md-0">
                            <?php echo $__env->make('elements.icon',['icon'=>'location-outline','centered'=>false,'classes'=>'mr-1'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                            <div class="text-truncate">
                                <?php echo e($user->location); ?>

                            </div>
                        </div>
                    <?php endif; ?>
                    <?php if($user->website): ?>
                        <div class="d-flex align-items-center mr-2 text-truncate mb-0 mb-md-0">
                            <?php echo $__env->make('elements.icon',['icon'=>'globe-outline','centered'=>false,'classes'=>'mr-1'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                            <div class="text-truncate">
                                <a href="<?php echo e($user->website); ?>" target="_blank" rel="nofollow">
                                    <?php echo e(str_replace(['https://','http://','www.'],'',$user->website)); ?>

                                </a>
                            </div>
                        </div>
                    <?php endif; ?>
                    <div class="d-flex align-items-center mr-2 text-truncate mb-0 mb-md-0">
                        <?php echo $__env->make('elements.icon',['icon'=>'calendar-outline','centered'=>false,'classes'=>'mr-1'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        <div class="text-truncate">
                            Joined <?php echo e($user->created_at->format('F d')); ?>

                        </div>
                    </div>

                </div>

                <div class="bg-separator border-top border-bottom"></div>

                <?php echo $__env->make('elements/message-alert', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

                <?php if( (!Auth::check() || Auth::user()->id !== $user->id) && !$hasSub): ?>
                    <div class=" p-4 subscription-holder">
                        <h6 class="font-weight-bold text-uppercase mb-3"><?php echo e(__('Subscription')); ?></h6>
                        <?php if(count($offer)): ?>
                            <h5 class="m-0 text-bold"><?php echo e(__('Limited offer main label',['discount'=> $offer['discountAmount'], 'days_remaining'=> $offer['daysRemaining'] ])); ?></h5>
                            <small class=""><?php echo e(__('Offer ends label',['date'=>$offer['expiresAt']->format('d M')])); ?></small>
                        <?php endif; ?>
                        <?php if($hasSub): ?>
                            <button class="btn btn-round btn-lg btn-primary btn-block mt-3 mb-2 text-center">
                                <span><?php echo e(__('Subscribed')); ?></span>
                            </button>
                        <?php else: ?>
                            <button class="btn btn-round btn-lg btn-primary btn-block d-flex justify-content-md-between  justify-content-center mt-3 mb-2 px-5"
                                    <?php if(Auth::check()): ?>
                                    data-toggle="modal"
                                    data-target="#checkout-center"
                                    data-type="one-month-subscription"
                                    data-recipient-id="<?php echo e($user->id); ?>"
                                    data-amount="<?php echo e($user->profile_access_price ? $user->profile_access_price : 0); ?>"
                                    data-first-name="<?php echo e(Auth::user()->first_name); ?>"
                                    data-last-name="<?php echo e(Auth::user()->last_name); ?>"
                                    data-billing-address="<?php echo e(Auth::user()->billing_address); ?>"
                                    data-country="<?php echo e(Auth::user()->country); ?>"
                                    data-city="<?php echo e(Auth::user()->city); ?>"
                                    data-state="<?php echo e(Auth::user()->state); ?>"
                                    data-postcode="<?php echo e(Auth::user()->postcode); ?>"
                                    data-available-credit="<?php echo e(Auth::user()->wallet->total); ?>"
                                    data-username="<?php echo e($user->username); ?>"
                                    data-name="<?php echo e($user->name); ?>"
                                    data-avatar="<?php echo e($user->avatar); ?>"
                                    <?php else: ?>
                                    data-toggle="modal"
                                    data-target="#login-dialog"
                                <?php endif; ?>
                            >
                                <span><?php echo e(__('Subscribe')); ?></span>
                                <span class="d-none d-sm-block"><?php echo e(config('app.site.currency_symbol') ?? config('app.site.currency_symbol')); ?><?php echo e($user->profile_access_price); ?><?php echo e(config('app.site.currency_symbol') ? '' : ' ' .config('app.site.currency_code')); ?> <?php echo e(__('for')); ?> <?php echo e(trans_choice('days', 30,['number'=>30])); ?></span>
                            </button>
                            <div class="d-flex justify-content-between">
                                <?php if($user->profile_access_price_6_months || $user->profile_access_price_12_months): ?>
                                    <small>
                                        <div class="pointer-cursor d-flex align-items-center" onclick="Profile.toggleBundles()">
                                            <div class="label-more"><?php echo e(__('Subscriptions bundles')); ?></div>
                                            <div class="label-less d-none"><?php echo e(__('Hide bundles')); ?></div>
                                            <div class="ml-1 label-icon">
                                                <?php echo $__env->make('elements.icon',['icon'=>'chevron-down-outline','centered'=>false], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                            </div>
                                        </div>
                                    </small>
                                <?php endif; ?>
                                <?php if(count($offer)): ?>
                                    <small class=""><?php echo e(__('Regular price label',['currency'=>'USD','amount'=>$user->offer->old_profile_access_price])); ?></small>
                                <?php endif; ?>
                            </div>

                            <?php if($user->profile_access_price_6_months || $user->profile_access_price_12_months): ?>
                                <div class="subscription-bundles d-none mt-4">
                                    <?php if($user->profile_access_price_6_months): ?>
                                        <button class="btn btn-round btn-outline-primary btn-block d-flex justify-content-between mt-2 mb-3 px-5"
                                                <?php if(Auth::check()): ?>
                                                data-toggle="modal"
                                                data-target="#checkout-center"
                                                data-type="six-months-subscription"
                                                data-recipient-id="<?php echo e($user->id); ?>"
                                                data-amount="<?php echo e($user->profile_access_price_6_months ? $user->profile_access_price_6_months : 0); ?>"
                                                data-first-name="<?php echo e(Auth::user()->first_name); ?>"
                                                data-last-name="<?php echo e(Auth::user()->last_name); ?>"
                                                data-billing-address="<?php echo e(Auth::user()->billing_address); ?>"
                                                data-country="<?php echo e(Auth::user()->country); ?>"
                                                data-city="<?php echo e(Auth::user()->city); ?>"
                                                data-state="<?php echo e(Auth::user()->state); ?>"
                                                data-postcode="<?php echo e(Auth::user()->postcode); ?>"
                                                data-available-credit="<?php echo e(Auth::user()->wallet->total); ?>"
                                                data-username="<?php echo e($user->username); ?>"
                                                data-name="<?php echo e($user->name); ?>"
                                                data-avatar="<?php echo e($user->avatar); ?>"
                                                <?php else: ?>
                                                data-toggle="modal"
                                                data-target="#login-dialog"
                                            <?php endif; ?>
                                        >
                                            <span><?php echo e(__('Subscribe')); ?></span>
                                            <span><?php echo e(config('app.site.currency_symbol') ?? config('app.site.currency_symbol')); ?><?php echo e($user->profile_access_price_6_months); ?><?php echo e(config('app.site.currency_symbol') ? '' : ' ' .config('app.site.currency_code')); ?> <?php echo e(__('for')); ?> <?php echo e(trans_choice('months', 6,['number'=>6])); ?></span>
                                        </button>
                                    <?php endif; ?>

                                    <?php if($user->profile_access_price_12_months): ?>
                                        <button class="btn btn-round btn-outline-primary btn-block d-flex justify-content-between mt-2 mb-2 px-5"
                                                <?php if(Auth::check()): ?>
                                                data-toggle="modal"
                                                data-target="#checkout-center"
                                                data-type="yearly-subscription"
                                                data-recipient-id="<?php echo e($user->id); ?>"
                                                data-amount="<?php echo e($user->profile_access_price_12_months ? $user->profile_access_price_12_months : 0); ?>"
                                                data-first-name="<?php echo e(Auth::user()->first_name); ?>"
                                                data-last-name="<?php echo e(Auth::user()->last_name); ?>"
                                                data-billing-address="<?php echo e(Auth::user()->billing_address); ?>"
                                                data-country="<?php echo e(Auth::user()->country); ?>"
                                                data-city="<?php echo e(Auth::user()->city); ?>"
                                                data-state="<?php echo e(Auth::user()->state); ?>"
                                                data-postcode="<?php echo e(Auth::user()->postcode); ?>"
                                                data-available-credit="<?php echo e(Auth::user()->wallet->total); ?>"
                                                data-username="<?php echo e($user->username); ?>"
                                                data-name="<?php echo e($user->name); ?>"
                                                data-avatar="<?php echo e($user->avatar); ?>"
                                                <?php else: ?>
                                                data-toggle="modal"
                                                data-target="#login-dialog"
                                            <?php endif; ?>
                                        >
                                            <span><?php echo e(__('Subscribe')); ?></span>
                                            <span><?php echo e(config('app.site.currency_symbol') ?? config('app.site.currency_symbol')); ?><?php echo e($user->profile_access_price_12_months); ?><?php echo e(config('app.site.currency_symbol') ? '' : ' ' .config('app.site.currency_code')); ?> <?php echo e(__('for')); ?> <?php echo e(trans_choice('months', 12,['number'=>12])); ?></span>
                                        </button>
                                    <?php endif; ?>

                                </div>
                            <?php endif; ?>
                        <?php endif; ?>
                    </div>
                    <div class="bg-separator border-top border-bottom"></div>
                <?php endif; ?>
                <div class="mt-3 inline-border-tabs">
                    <nav class="nav nav-pills nav-justified">
                        <a class="nav-item nav-link <?php echo e($activeFilter == false ? 'active' : ''); ?>" href="<?php echo e(route('profile',['username'=> $user->username])); ?>"><?php echo e(trans_choice('posts', $posts->total(), ['number'=>$posts->total()])); ?> </a>

                        <?php if($filterTypeCounts['image'] > 0): ?>
                            <a class="nav-item nav-link <?php echo e($activeFilter == 'image' ? 'active' : ''); ?>" href="<?php echo e(route('profile',['username'=> $user->username]) . '?filter=image'); ?>"><?php echo e(trans_choice('images', $filterTypeCounts['image'], ['number'=>$filterTypeCounts['image']])); ?></a>
                        <?php endif; ?>

                        <?php if($filterTypeCounts['video'] > 0): ?>
                            <a class="nav-item nav-link <?php echo e($activeFilter == 'video' ? 'active' : ''); ?>" href="<?php echo e(route('profile',['username'=> $user->username]) . '?filter=video'); ?>"><?php echo e(trans_choice('videos', $filterTypeCounts['video'], ['number'=>$filterTypeCounts['video']])); ?></a>

                        <?php endif; ?>

                        <?php if($filterTypeCounts['audio'] > 0): ?>
                            <a class="nav-item nav-link <?php echo e($activeFilter == 'audio' ? 'active' : ''); ?>" href="<?php echo e(route('profile',['username'=> $user->username]) . '?filter=audio'); ?>"><?php echo e(trans_choice('audio', $filterTypeCounts['audio'], ['number'=>$filterTypeCounts['audio']])); ?></a>
                        <?php endif; ?>

                        <a class="nav-item nav-link <?php echo e(Route::currentRouteName() == 'gallary.show' ? 'active' : ''); ?>" href="<?php echo e(route('gallary.show',['username'=> $user->username])); ?>"><?php echo e('Gallery'); ?></a>

                    </nav>
                </div>
                <div class="justify-content-center align-items-center mt-4">
                        <?php echo $__env->make('elements.message-alert', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        <?php echo $__env->make('elements.feed.posts-load-more', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    <div class="feed-box mt-0 posts-wrapper">
                        <?php $__empty_1 = true; $__currentLoopData = $gallries; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <div class="d-flex">
                                <?php if(Auth::check() && Auth::user()->id == $item->user_id): ?>
                                    <form action="<?php echo e(route('gallary.delete')); ?>" method="post">
                                        <?php echo csrf_field(); ?>
                                        <input type="hidden" name="id" value="<?php echo e($item->id); ?>">
                                        <button class="btn btn-danger" type="submit"><?php echo e(__('Delete Image')); ?></button>
                                    </form>
                                <?php endif; ?>
                            </div>

                            <img src="<?php echo e($item->image); ?>" width="100%" alt="gallery Image"><br><br>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <h3 class="text-center">Image not found!</h3>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-12 col-md-4 d-none d-md-block pt-3">
            <?php echo $__env->make('elements.profile.widgets', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        </div>
    </div>

    <?php if(Auth::check()): ?>
        <?php echo $__env->make('elements.lists.list-add-user-dialog',['user_id' => $user->id, 'lists' => ListsHelper::getUserLists()], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <?php echo $__env->make('template.checkout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <?php echo $__env->make('elements.messenger.send-user-message',['receiver'=>$user], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php else: ?>
        <?php echo $__env->make('elements.modal-login', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php endif; ?>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.user-no-nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/snowbunni/public_html/resources/views/pages/free-post.blade.php ENDPATH**/ ?>