<?php $__env->startSection('page_title', __('Install the script')); ?>
<?php $__env->startSection('scripts'); ?>
    <?php echo Minify::javascript([
            '/js/Installer.js',
         ])->withFullUrl(); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="container-fluid installer-bg">

        <div class="row no-gutter d-flex justify-content-center align-items-center min-vh-100">
            <div class="col-4">
                <div class="d-flex justify-content-center pb-5">
                    <a href="<?php echo e(route('installer.savedb')); ?>">
                        <img class="brand-logo" src="<?php echo e(asset('/img/logo-black.png')); ?>">
                    </a>
                </div>
                <div class="col card shadow-sm">
                    <h4 class="card-title mt-4 ml-2"><?php echo e(__('Database connection')); ?></h4>
                    <div class="card-body">
                        <?php if(session('error')): ?>
                            <div class="alert alert-danger text-white font-weight-bold mt-2" role="alert">
                                <?php echo e(session('error')); ?>

                                <button type="button" class="close" data-dismiss="alert" aria-label="<?php echo e(__('Close')); ?>">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                        <?php endif; ?>
                        <form method="POST" action="<?php echo e(route('installer.savedb')); ?>">
                            <?php echo csrf_field(); ?>
                            <div class="form-group ">
                                <label for="db_host" class="col-form-label"><?php echo e(__('Database host')); ?></label>
                                <div class="">
                                    <input id="db_host" type="db_host" class="form-control <?php $__errorArgs = ['db_host'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"  name="db_host" value="<?php echo e(old('db_host') ? old('db_host') : (session('db_host') ? session('db_host') : '')); ?>" autocomplete="db_host" autofocus>
                                    <?php $__errorArgs = ['db_host'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="invalid-feedback" role="alert">
                                        <strong><?php echo e($message); ?></strong>
                                    </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="form-group ">
                                <label for="db_name" class="col-form-label"><?php echo e(__('Database name')); ?></label>
                                <div class="">
                                    <input id="db_name" type="db_name" class="form-control <?php $__errorArgs = ['db_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"  name="db_name" value="<?php echo e(old('db_name') ? old('db_name') : (session('db_name') ? session('db_name') : '')); ?>" autocomplete="db_name" autofocus>
                                    <?php $__errorArgs = ['db_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="invalid-feedback" role="alert">
                                        <strong><?php echo e($message); ?></strong>
                                    </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="form-group ">
                                <label for="db_username" class="col-form-label"><?php echo e(__('Database username')); ?></label>
                                <div class="">
                                    <input id="db_username" type="db_username" class="form-control <?php $__errorArgs = ['db_username'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"  name="db_username" value="<?php echo e(old('db_username') ? old('db_username') : (session('db_username') ? session('db_username') : '')); ?>" autocomplete="db_username" autofocus>
                                    <?php $__errorArgs = ['db_username'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="invalid-feedback" role="alert">
                                        <strong><?php echo e($message); ?></strong>
                                    </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>

                            <div class="form-group ">
                                <label for="password" class="col-form-label"><?php echo e(__('Database password')); ?></label>
                                <div class="">
                                    <div class="d-flex">
                                        <input type="password" id="db_password" class="form-control <?php $__errorArgs = ['db_password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"  name="db_password" value="<?php echo e(old('db_password') ? old('db_password') : (session('db_password') ? session('db_password') : '')); ?>" autocomplete="db_password" autofocus>
                                        <div class="h-pill h-pill-primary ml-2 rounded" data-toggle="tooltip" data-placement="top" title="<?php echo e(__('Show password')); ?>" onclick="Installer.togglePasswordField('db_password');">
                                            <div class="hide-pass d-none">
                                                <?php echo $__env->make('elements.icon',['icon'=>'eye-off-outline', 'variant' => 'medium'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                            </div>
                                            <div class="show-pass">
                                                <?php echo $__env->make('elements.icon',['icon'=>'eye-outline', 'variant' => 'medium'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                            </div>
                                        </div>
                                    </div>
                                    <?php $__errorArgs = ['db_password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="invalid-feedback" role="alert">
                                        <strong><?php echo e($message); ?></strong>
                                    </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>

                            <div class="d-flex justify-content-between align-items-center mb-2">
                                <a href="<?php echo e(route('installer.install').'?step=1'); ?>" class=""><?php echo e(__("Back")); ?></a>
                                <button type="submit" class="btn btn-primary m-0"><?php echo e(__("Next")); ?></button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.install', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/snowbunni/public_html/resources/views/installer/database.blade.php ENDPATH**/ ?>