<div class="col">
    <div class="metrics-container">

        <h3 class="d-flex align-items-center mb-4"><div class="icon voyager-dashboard"></div><?php echo e(__("Platform statistics")); ?></h3>

        <div class="row">
            <div class="mb-4 col-md-4">

                <div class="card shadow rounded p-5">
                    <div class="card-body text-muted font-weiht-medium">
                        <p class="font-weight-bolder">Last 24 hours</p>
                        <p class=""><?php echo e(__("Users registered")); ?>: <?php echo e(\App\Providers\DashboardServiceProvider::getLast24HoursRegisteredUsersCount()); ?></p>
                        <p class=""><?php echo e(__("New posts")); ?>: <?php echo e(\App\Providers\DashboardServiceProvider::getLast24HoursPostsCount()); ?></p>
                        <p class=""><?php echo e(__("New subscriptions")); ?>: <?php echo e(\App\Providers\DashboardServiceProvider::getLast24HoursSubscriptionsCount()); ?></p>
                        <p class="m-0"><?php echo e(__("Total earned")); ?>: <?php echo e(\App\Providers\SettingsServiceProvider::getWebsiteCurrencySymbol()); ?><?php echo e(\App\Providers\DashboardServiceProvider::getLast24HoursTotalEarned()); ?></p>
                    </div>
                </div>
            </div>

            <div class="mb-4 col-md-4">

                <div class="card shadow rounded p-5">
                    <div class="card-body text-muted font-weight-medium">
                        <p class="font-weight-bolder">Payments</p>
                        <p><?php echo e(__("Active subscriptions")); ?>: <?php echo e(\App\Providers\DashboardServiceProvider::getActiveSubscriptionsCount()); ?></p>
                        <p><?php echo e(__("Subscriptions revenue")); ?>: <?php echo e(\App\Providers\SettingsServiceProvider::getWebsiteCurrencySymbol()); ?><?php echo e(\App\Providers\DashboardServiceProvider::getTotalSubscriptionsRevenue()); ?></p>
                        <p><?php echo e(__("Total transactions")); ?>: <?php echo e(\App\Providers\DashboardServiceProvider::getTotalTransactionsCount()); ?></p>
                        <p class="m-0"><?php echo e(__("Total amount earned")); ?>: <?php echo e(\App\Providers\SettingsServiceProvider::getWebsiteCurrencySymbol()); ?><?php echo e(\App\Providers\DashboardServiceProvider::getTotalEarned()); ?></p>
                    </div>
                </div>
            </div>

            <div class="mb-4 col-md-4">

                <div class="card shadow rounded p-5">
                    <div class="card-body text-muted font-weight-medium">
                        <p class="font-weight-bolder">Content</p>
                        <p><?php echo e(__("Total posts")); ?>: <?php echo e(\App\Providers\DashboardServiceProvider::getPostsCount()); ?></p>
                        <p><?php echo e(__("Post attachments")); ?>: <?php echo e(\App\Providers\DashboardServiceProvider::getPostAttachmentsCount()); ?></p>
                        <p><?php echo e(__("Post comments")); ?>: <?php echo e(\App\Providers\DashboardServiceProvider::getPostCommentsCount()); ?></p>
                        <p class="m-0"><?php echo e(__("Total reactions")); ?>: <?php echo e(\App\Providers\DashboardServiceProvider::getReactionsCount()); ?></p>
                    </div>
                </div>
            </div>

        </div>

        <div class="row two-columns-graph-holder">
            <?php echo $__env->make('elements.admin.value_card', [
                'name' => 'newUsersValue',
                'route' => 'admin.metrics.new.users.value',
                'size' => 'col-xs-12 col-sm-12 col-md-6 col-lg-6',
                'title' => __('New users'),
                'form' => [
                    'trans' => [__('Day'), __('Days')],
                    'function' => 'count',
                    'ranges' => [1, 7, 14, 30, 60, 90],
                    'range' => 30
                ]
            ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <?php echo $__env->make('elements.admin.partition_card', [
                'name' => 'rolesPerUser',
                'chart' => [
                    'size' => 180,
                    'color' => '203, 12, 159',
                    'total' => true
                ],
                'route' => 'admin.metrics.new.users.partition',
                'size' => 'col-xs-12 col-sm-12 col-md-6 col-lg-6',
                'title' => __('Users roles'),
                'form' => [
                    'function' => 'count',
                ]
            ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        </div>
        <div class="row">
            <?php echo $__env->make('elements.admin.trend_card', [
                'name' => 'newUsersTrend',
                'chart' => [
                    'size' => 100,
                    'color_start' => 'rgba(255, 105, 220)',
                    'color_stop' => 'rgba(207, 60, 172, 0.5)',
                    'border_color' => 'rgba(203, 12, 159, 0.7)',
                    'point_radius' => 10,
                    'total' => true
                ],
                'route' => 'admin.metrics.new.users.trend',
                'size' => 'col-12 col-lg-12 mb-4',
                'title' => __('Registered users'),
                'form' => [
                    'trans' => [__('Month'), __('Months')],
                    'function' => 'count',
                    'unit' => 'month',
                    'ranges' => [3, 6, 12],
                    'range' => 12
                ]
            ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        </div>
    </div>
</div>
<?php /**PATH /home3/cjayrc/snowbunni.com/resources/views/elements/admin/metrics.blade.php ENDPATH**/ ?>